%define	name	tux
%define	version	2.1.1
%define	release	2mdk
%define libname lib%{name}

Summary:	User-space component of TUX kernel-based threaded HTTP server
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://people.redhat.com/mingo/TUX-patches/2.1-docs/
Source:		%{name}-%{version}.tar.bz2
Patch0:		tux-fix.diff.bz2
Patch1:		tux-2.1.1-init.diff.bz2
Prereq:		/sbin/chkconfig
ExclusiveArch:	%{ix86}
Requires:	mailcap
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
TUX is a kernel-based, threaded, extremely high performance HTTP server.
It is able to efficiently and safely serve both static and dynamic data.
TUX moves the HTTP protocol stack to the kernel, and can handle requests
for data with both kernel-space and user-space modules.

See http://www.redhat.com/mailing-lists/ for instructions on subscribing
to tux-list@redhat.com; users of TUX have the opportunity to share their
experiences and receive notices of new versions on that list.

%package -n %libname-devel
Summary: Header files for developing apps which will use TUX
Group: Development/C

%description -n %libname-devel
Development files for Tux server.

%prep
%setup -q
%patch0 -p0
%patch1 -p0 -b .init

%build
%make

%install
%makeinstall TOPDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}
if [ "$1" = 0 ]; then
    rm -rf /var/tux/*
fi

%files
%defattr(-,root,root)
%doc tux.README NEWS SUCCESS gettuxconfig checkbindings
%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/tux.mime.types
%attr(0644,root,root) %{_mandir}/man*/*
%attr(0700,root,root) %dir /var/tux
%attr(0755,root,root) %{_sbindir}/*

%files -n %libname-devel
%defattr(-,root,root)
%doc tux.README demo.c demo?.c samples/sample.log samples/sample.out docs/tux docs/TUXAPI*
%attr(0644,root,root) %{_includedir}/*

%changelog
* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.1-2mdk
- provides default init runlevel
- remove ownership on system-wide directories
- fix files listed twice

* Mon Dec 3 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1.1-1mdk
- update to 2.1.1
- spec file cleanup

* Thu Nov 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.0-2mdk
- use macros
- add missing file
- rpmlint fixes
- fix scripts

* Wed Nov 21 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.0-1mdk
- new release
- sanitize
- requires: mailcap

* Tue Apr 17 2001 Geoffrey Lee <snailtalk@mandrakedsoft.com> 2.0.8-1mdk
- Shamelessly rip from Red Hat.

* Wed Feb 07 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0.2 fixes a few more bugs and adds checkbindings

* Fri Feb 02 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0.1 fixes a few small bugs

* Wed Jan 31 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0 daemon release to match TUX 2.0 kernel release...

* Sun Jan 28 2001 Michael K. Johnson <johnsonm@redhat.com>
- RC release for TUX 2.0

* Wed Jan 10 2001 Michael K. Johnson <johnsonm@redhat.com>
- Fix mime-type handling that rotted...

* Fri Dec 01 2000 Michael K. Johnson <johnsonm@redhat.com>
- Preparing for new release:
  o  New, faster date routine
  o  Better command-line option handling
  o  Removed counttux now that tux2w3c has the -c option
  o  Fixed docroot/modulepath handling
  o  More info in tux2w3c

* Thu Aug 31 2000 Michael K. Johnson <johnsonm@redhat.com>
- Updates to match new kernel functionality

* Thu Aug 24 2000 Michael K. Johnson <johnsonm@redhat.com>
- initial release
